Subject: Re: [PATCH 11/22] entry.c: optionally checkout submodules

From: Martin Waitz <[email-masked]>
Date: Thu, 24 May 2007 18:21:06 +0200

hoi :)

On Thu, May 24, 2007 at 03:18:19AM -0400, Shawn O. Pearce wrote:
> I'm actually really unhappy with our !istty(2) means disable
> progress thing.  git-gui knows how to read and show the progress
> meters, but nobody prints them anymore as 2 is a pipe.  I have the
> same problem with a Java build tool that sometimes starts up an
> expensive Git operation (like a clone over SSH of a 60+ MiB project).
> 
> I've been considering adding a GIT_ISTTY environment variable to
> forcefully override the istty result, just to get the progress
> meters turned back on...

or perhaps introduce GIT_PROGRESS to name a filedescriptor which then
_only_ gets all the progress information, in a format easily parseable
by other tools?

-- 
Martin Waitz